Skip to main content
POST /v1/payments/notifyCashierUrl A notification endpoint implemented by the merchant at the cashierNotifyUrl passed in pay. Rebell sends a cashier redirect URL, which the Mini Program can pass to the my.tradePay JSAPI (as paymentUrl) so the user can complete the payment. Used in agreement pay: Rebell sends it when a payment is still not completed after 48 hours because the payment method was disabled or the user’s per-agreement limit was reached, while the user’s agreement is still valid.
Handle repeated notifications idempotently using paymentId (see Idempotency).

Request Parameters

string
required
The payment ID of the original payment order.Max length: 64 characters
string
required
The cashier redirect URL to use in my.tradePay.Max length: 1024 characters

Response Parameters

object
required
Standard result object with resultCode, resultStatus, resultMessage

Result Codes

Sample

Request

Response